<p>Profil</p>
<form *ngIf="form" [formGroup]="form" (submit)="save()">
  <div class="row">
  <mat-form-field class="col-4">
    <input type="text" matInput placeholder="Choisis ton pseudo" formControlName="displayName" minlength="3" maxlength="20" autocomplete="display-name"
    required />
    <mat-error *ngIf="form.controls['displayName'].invalid">
      {{ getErrorDisplayNameError(form.controls['displayName'].error) }}
    </mat-error>
  </mat-form-field>
  <mat-form-field class="col-4">
    <mat-select formControlName="profilType" placeholder="Je suis" (valueChange)="profilTypeChange($event)" required>
      <mat-option *ngFor="let type of profilTypes" [value]="type.key">{{ type.value }}</mat-option>
    </mat-select>
    <mat-error *ngIf="form.controls['profilType'].invalid">Cette information est requise</mat-error>
  </mat-form-field>
</div>
  Le lien sur ta photo de profil
  <span>Le site ne stoque pas d'image tu peux partager un lien vers une image sur un service comme
    <a href="https://onedrive.live.com">OneDrive</a> ou
    <a href="https://www.dropbox.com/">Dropbox</a>.</span>
  <div class="row">
    <mat-form-field class="col" floatLabel="never">
      <input type="url" matInput placeholder="http://" formControlName="photoUrl" autocomplete="photo-url" />
    </mat-form-field>
    <div class="col-2">
      <img class="img" [hidden]="!form.controls['photoUrl'].value" [src]="form.controls['photoUrl'].value">
    </div>
  </div>
  <div class="row">
    <div class="col">
      <p *ngIf="form.controls['profilType'].value == 'c'">
        <span>Madame</span>
      </p>
      <sg-sub-profil [form]="form.controls['subProfil1']"></sg-sub-profil>
    </div>
    <div class="col" *ngIf="form.controls['profilType'].value == 'c'">
      <p>
        <span>Monsieur</span>
      </p>
      <sg-sub-profil [form]="form.controls['subProfil2']"></sg-sub-profil>
    </div>
  </div>
  <p *ngIf="!displayName">
    <b>Attention, tu ne pourras pas modifier ton pseudo, genre et date de naissance. Vérifie bien ces informations avant de
      les enregistrer.</b>
  </p>
  <p *ngIf="displayName">
    <span>Tu ne pas modifier ton pseudo, genre ou date de naissance.Si tu t'es trompé, envoi un message à
      <a routerLink="/chat/cplbimixte">cplbimixte</a>.</span>
  </p>
  <button mat-raised-button color="pimary" type="submit" [disabled]="form.invalid">Enregister</button>
  <p class="text-danger">{{ error }}</p>
</form>
